# `ocrj`

[![PyPI version](https://badge.fury.io/py/ocrj.svg)](https://badge.fury.io/py/ocrj)

- A library and command for OCR of text written in Japanese
- Forked from [tanreinama/OCR_Japanease](https://github.com/tanreinama/OCR_Japanease) and modified with breaking changes

## Install

### From source

```bash
git clone https://github.com/eggplants/ocrj && cd ocrj
pip install -e .
```

### From PyPI

```bash
pip install ocrj
```

## Usage

- Show help

```
$ ocrj -h
usage: ocrj [-h] [--dpi DPI] [--cpu] [--output_format {row,json}]
            [--output_detect_img] [--output_detect_img_dir dir]
            [--low_gpu_memory]
            file [file ...]

positional arguments:
  file                  input image files

optional arguments:
  -h, --help            show this help message and exit
  --dpi DPI, -d DPI     image dpi (default: -1)
  --cpu, -c             CPU mode (no GPU) (default: False)
  --output_format {row,json}
                        output format (default: row)
  --output_detect_img, -i
                        output detected bounding box (default: False)
  --output_detect_img_dir dir, -o dir
                        output directory of image (default: .)
  --low_gpu_memory, -l  reduce gpu memory usage (default: False)
```

- Run

```bash
ocrj <Picture path>
```

- Without GPU

```bash
ocrj <Picture path> --cpu
```

## License

[MIT](LICENSE)

## Copyright

- Copyright (c) 2020 tanreinama
  - Original Author
- Copyright (c) 2021 haruna (eggplants)
  - This fork created
